Description

Decide on some sort of coding guidelines to follow during the development process.

e |f you aren't lazy as sloths, try to briefly write some of the main guidelines on a document and post it somewhere. (I will think of
an environment to share documentation between members)

Tomas Brand (PM)

History

#1 - 12/14/2023 03:59 PM - Tomas BRAND SASTRE
- Subject changed from Coding Style to Think of Coding Style Guidelines
- Assignee set to Shuto TAMAOKA

#2 - 12/14/2023 04:00 PM - Tomas BRAND SASTRE
- Parent task set to #890

#3 - 12/14/2023 04:09 PM - Tomas BRAND SASTRE
- Estimated time set to 1.50 h

#4 - 12/14/2023 04:10 PM - Tomas BRAND SASTRE
- Due date set to 12/21/2023

#5 - 12/21/2023 10:09 AM - Yuta HIRAHATA
- File Coding Guidelines.docx added

- Status changed from New to In Progress
Some fundamental coding guidelines added by Yuta Hirahata

#6 - 12/21/2023 10:09 AM - Yuta HIRAHATA
- % Done changed from 0 to 70

#7 - 12/21/2023 02:53 PM - Shuto TAMAOKA
In addition to yuta's guideline, | suggest these rules.
® Don't use global variables
¢ Use concise name for variables
e 4 tabs for indentation
L]
L]

Use snake case for function and variable names
Use upper case camel for class names

I think you don't have to add your name to the part you edited. Because there will be your name everywhere.

For those who don't know what snake case and low camel case, they are like this.
Snake case is as followings. All characters are lowercase and words are separated by under bar.

def some_func () :
pass
Upper case camel is like below. All first character of the word will be uppercase.

class MyClass ()

Any suggestions are welcome.

#8 - 12/21/2023 02:56 PM - Shuto TAMAOKA

® 4 tabs for indentation

Sorry | meant 4 spaces for indentation.

Files

Coding Guidelines.docx 13.9 KB
